Package org.apache.felix.log

# Class LoggerImpl

java.lang.Object
org.apache.felix.log.LoggerImpl

All Implemented Interfaces:
  `org.osgi.service.log.Logger`

Direct Known Subclasses:
  `FormatterLoggerImpl`

public class LoggerImpl extends Object implements org.osgi.service.log.Logger

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.osgi.framework.Bundle`
`m_bundle`
`protected final org.apache.felix.log.Log`
`m_log`
`protected final LoggerAdminImpl`
`m_loggerAdmin`
`protected final String`
`m_name`

### Fields inherited from interface org.osgi.service.log.Logger

`ROOT_LOGGER_NAME`

## Constructor Summary

Constructors
Constructor
Description
`LoggerImpl(String name, org.osgi.framework.Bundle bundle, org.apache.felix.log.Log log, LoggerAdminImpl loggerAdmin)`

## Method Summary

Modifier and Type
Method
Description
`void`
`audit(String message)`
`void`
`audit(String format, Object arg)`
`void`
`audit(String format, Object... arguments)`
`void`
`audit(String format, Object arg1, Object arg2)`
`void`
`audit(String message, org.osgi.framework.ServiceReference<?> serviceReference, Throwable t)`
`void`
`debug(String message)`
`void`
`debug(String format, Object arg)`
`void`
`debug(String format, Object... arguments)`
`void`
`debug(String format, Object arg1, Object arg2)`
`<E extends Exception>
void`
`debug(org.osgi.service.log.LoggerConsumer<E> consumer)`
`void`
`error(String message)`
`void`
`error(String format, Object arg)`
`void`
`error(String format, Object... arguments)`
`void`
`error(String format, Object arg1, Object arg2)`
`<E extends Exception>
void`
`error(org.osgi.service.log.LoggerConsumer<E> consumer)`
`String`
`getName()`
`void`
`info(String message)`
`void`
`info(String format, Object arg)`
`void`
`info(String format, Object... arguments)`
`void`
`info(String format, Object arg1, Object arg2)`
`<E extends Exception>
void`
`info(org.osgi.service.log.LoggerConsumer<E> consumer)`
`boolean`
`isDebugEnabled()`
`boolean`
`isErrorEnabled()`
`boolean`
`isInfoEnabled()`
`boolean`
`isTraceEnabled()`
`boolean`
`isWarnEnabled()`
`void`
`log(int level, String message, org.osgi.framework.ServiceReference<?> sr, Throwable exception)`
`void`
`trace(String message)`
`void`
`trace(String format, Object arg)`
`void`
`trace(String format, Object... arguments)`
`void`
`trace(String format, Object arg1, Object arg2)`
`<E extends Exception>
void`
`trace(org.osgi.service.log.LoggerConsumer<E> consumer)`
`void`
`warn(String message)`
`void`
`warn(String format, Object arg)`
`void`
`warn(String format, Object... arguments)`
`void`
`warn(String format, Object arg1, Object arg2)`
`<E extends Exception>
void`
`warn(org.osgi.service.log.LoggerConsumer<E> consumer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### m_name

protected final String m_name

### m_bundle

protected final org.osgi.framework.Bundle m_bundle

### m_log

protected final org.apache.felix.log.Log m_log

### m_loggerAdmin

protected final LoggerAdminImpl m_loggerAdmin

## Constructor Details

### LoggerImpl

public LoggerImpl(String name, org.osgi.framework.Bundle bundle, org.apache.felix.log.Log log, LoggerAdminImpl loggerAdmin)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `org.osgi.service.log.Logger`

### isTraceEnabled

public boolean isTraceEnabled()

Specified by:
  `isTraceEnabled` in interface `org.osgi.service.log.Logger`

### trace

public void trace(String message)

Specified by:
  `trace` in interface `org.osgi.service.log.Logger`

### trace

public void trace(String format, Object arg)

Specified by:
  `trace` in interface `org.osgi.service.log.Logger`

### trace

public void trace(String format, Object arg1, Object arg2)

Specified by:
  `trace` in interface `org.osgi.service.log.Logger`

### trace

public void trace(String format, Object... arguments)

Specified by:
  `trace` in interface `org.osgi.service.log.Logger`

### trace

public <E extends Exception> void trace(org.osgi.service.log.LoggerConsumer<E> consumer) throws E

Specified by:
  `trace` in interface `org.osgi.service.log.Logger`
Throws:
  `E`

### isDebugEnabled

public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `org.osgi.service.log.Logger`

### debug

public void debug(String message)

Specified by:
  `debug` in interface `org.osgi.service.log.Logger`

### debug

public void debug(String format, Object arg)

Specified by:
  `debug` in interface `org.osgi.service.log.Logger`

### debug

public void debug(String format, Object arg1, Object arg2)

Specified by:
  `debug` in interface `org.osgi.service.log.Logger`

### debug

public void debug(String format, Object... arguments)

Specified by:
  `debug` in interface `org.osgi.service.log.Logger`

### debug

public <E extends Exception> void debug(org.osgi.service.log.LoggerConsumer<E> consumer) throws E

Specified by:
  `debug` in interface `org.osgi.service.log.Logger`
Throws:
  `E`

### isInfoEnabled

public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `org.osgi.service.log.Logger`

### info

public void info(String message)

Specified by:
  `info` in interface `org.osgi.service.log.Logger`

### info

public void info(String format, Object arg)

Specified by:
  `info` in interface `org.osgi.service.log.Logger`

### info

public void info(String format, Object arg1, Object arg2)

Specified by:
  `info` in interface `org.osgi.service.log.Logger`

### info

public void info(String format, Object... arguments)

Specified by:
  `info` in interface `org.osgi.service.log.Logger`

### info

public <E extends Exception> void info(org.osgi.service.log.LoggerConsumer<E> consumer) throws E

Specified by:
  `info` in interface `org.osgi.service.log.Logger`
Throws:
  `E`

### isWarnEnabled

public boolean isWarnEnabled()

Specified by:
  `isWarnEnabled` in interface `org.osgi.service.log.Logger`

### warn

public void warn(String message)

Specified by:
  `warn` in interface `org.osgi.service.log.Logger`

### warn

public void warn(String format, Object arg)

Specified by:
  `warn` in interface `org.osgi.service.log.Logger`

### warn

public void warn(String format, Object arg1, Object arg2)

Specified by:
  `warn` in interface `org.osgi.service.log.Logger`

### warn

public void warn(String format, Object... arguments)

Specified by:
  `warn` in interface `org.osgi.service.log.Logger`

### warn

public <E extends Exception> void warn(org.osgi.service.log.LoggerConsumer<E> consumer) throws E

Specified by:
  `warn` in interface `org.osgi.service.log.Logger`
Throws:
  `E`

### isErrorEnabled

public boolean isErrorEnabled()

Specified by:
  `isErrorEnabled` in interface `org.osgi.service.log.Logger`

### error

public void error(String message)

Specified by:
  `error` in interface `org.osgi.service.log.Logger`

### error

public void error(String format, Object arg)

Specified by:
  `error` in interface `org.osgi.service.log.Logger`

### error

public void error(String format, Object arg1, Object arg2)

Specified by:
  `error` in interface `org.osgi.service.log.Logger`

### error

public void error(String format, Object... arguments)

Specified by:
  `error` in interface `org.osgi.service.log.Logger`

### error

public <E extends Exception> void error(org.osgi.service.log.LoggerConsumer<E> consumer) throws E

Specified by:
  `error` in interface `org.osgi.service.log.Logger`
Throws:
  `E`

### audit

public void audit(String message, org.osgi.framework.ServiceReference<?> serviceReference, Throwable t)

### audit

public void audit(String message)

Specified by:
  `audit` in interface `org.osgi.service.log.Logger`

### audit

public void audit(String format, Object arg)

Specified by:
  `audit` in interface `org.osgi.service.log.Logger`

### audit

public void audit(String format, Object arg1, Object arg2)

Specified by:
  `audit` in interface `org.osgi.service.log.Logger`

### audit

public void audit(String format, Object... arguments)

Specified by:
  `audit` in interface `org.osgi.service.log.Logger`

### log

public void log(int level, String message, org.osgi.framework.ServiceReference<?> sr, Throwable exception)